curl --request POST \
--url http://{host}:{port}/{contextPath}/task/{id}/complete \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"variables": {
"aVariable": {
"value": "aStringValue"
},
"anotherVariable": {
"value": 42
},
"aThirdVariable": {
"value": true
}
},
"withVariablesInReturn": true
}
'{
"aVariable": {
"value": "aStringValue"
},
"anotherVariable": {
"value": 42
},
"aThirdVariable": {
"value": true
}
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Task
Complete
Completes a task and updates process variables.
POST
/
task
/
{id}
/
complete
curl --request POST \
--url http://{host}:{port}/{contextPath}/task/{id}/complete \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"variables": {
"aVariable": {
"value": "aStringValue"
},
"anotherVariable": {
"value": 42
},
"aThirdVariable": {
"value": true
}
},
"withVariablesInReturn": true
}
'{
"aVariable": {
"value": "aStringValue"
},
"anotherVariable": {
"value": 42
},
"aThirdVariable": {
"value": true
}
}{
"type": "<string>",
"message": "<string>",
"code": 123
}{
"type": "<string>",
"message": "<string>",
"code": 123
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The id of the task to complete.
Body
application/json
A JSON object containing variable key-value pairs.
Show child attributes
Show child attributes
Indicates whether the response should contain the process variables or not. The
default is false with a response code of 204. If set to true the response
contains the process variables and has a response code of 200. If the task is not
associated with a process instance (e.g. if it's part of a case instance) no
variables will be returned.
Response
Request successful. The response contains the process variables.
Show child attributes
Show child attributes